### Enumeration

# Gimp InterpolationType

#### Declaration

    enum Gimp.InterpolationType

#### Description [src]

Interpolation types.

#### Members

`GIMP_INTERPOLATION_NONE`

  None.

  - Value: `0`
  - Available since: 3.0
`GIMP_INTERPOLATION_LINEAR`

  Linear.

  - Value: `1`
  - Available since: 3.0
`GIMP_INTERPOLATION_CUBIC`

  Cubic.

  - Value: `2`
  - Available since: 3.0
`GIMP_INTERPOLATION_NOHALO`

  NoHalo.

  - Value: `3`
  - Available since: 3.0
`GIMP_INTERPOLATION_LOHALO`

  LoHalo.

  - Value: `4`
  - Available since: 3.0